chiark / gitweb /
build-sys: require elfutils >= 158
authorMichael Marineau <michael.marineau@coreos.com>
Fri, 20 Jun 2014 20:46:04 +0000 (13:46 -0700)
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
Sun, 22 Jun 2014 16:26:09 +0000 (12:26 -0400)
The recently added stacktrace support in 8d4e028f uses functions added
in elfutils 158. Check for one of the new functions to avoid attempting
to build against older versions.

configure.ac

index 18e934c..bb6018f 100644 (file)
@@ -672,7 +672,7 @@ AC_ARG_ENABLE([elfutils],
 if test "x${have_elfutils}" != xno ; then
         AC_CHECK_HEADERS(
                 [elfutils/libdwfl.h],
-                [have_elfutils=yes],
+                [],
                 [if test "x$have_elfutils" = xyes ; then
                         AC_MSG_ERROR([*** ELFUTILS headers not found.])
                 fi])
@@ -680,11 +680,19 @@ if test "x${have_elfutils}" != xno ; then
         AC_CHECK_LIB(
                 [dw],
                 [dwfl_begin],
-                [have_elfutils=yes],
+                [],
                 [if test "x$have_elfutils" = xyes ; then
                         AC_MSG_ERROR([*** ELFUTILS libs not found.])
                 fi])
 
+        AC_CHECK_LIB(
+                [dw],
+                [dwfl_core_file_attach],
+                [have_elfutils=yes],
+                [if test "x$have_elfutils" = xyes ; then
+                        AC_MSG_ERROR([*** ELFUTILS >= 158 is required.])
+                fi])
+
         if test "x$have_elfutils" = xyes ; then
                 ELFUTILS_LIBS="-lelf -ldw"
                 AC_DEFINE(HAVE_ELFUTILS, 1, [ELFUTILS available])